Skip to main content
POST
TypeScript

Authorizations

Authorization
string
header
required

JWT access token or API token (prefixed with zipp_)

Path Parameters

orgId
string
required

Organization identifier.

Example:

"org_1a2b3c4d"

shipmentId
string
required

Shipment identifier.

Example:

"shp_4d9e7a2f"

Body

application/json
parcelId
string
required

Parcel whose order lines are split across new shipments.

Example:

"prc_5a6b7c8d"

shipments
object[]
required

New shipments to create from the split parcel.

Minimum array length: 1
carrierId
string

Carrier for all new shipments. Copied from the original if omitted.

Example:

"car_pn_001"

productId
string

Carrier product for all new shipments. Copied from the original if omitted.

Example:

"prod_mypack_home"

services
string[]

Service codes for all new shipments. Copied from the original if omitted.

Example:
additionalParameters
object

Carrier-specific parameters for all new shipments. Copied from the original if omitted.

Example:

Response

Default Response

originalShipment
object
required
newShipments
object[]
required

Newly created shipments resulting from the split.